Bug 253770 - Support for DW_OP_implicit_value operation for location expressions.
Support for DW_OP_implicit_value operation for location expressions.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: elfutils (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Roland McGrath
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-21 15:56 EDT by Teresa Thomas
Modified: 2015-03-04 19:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 02:53:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Teresa Thomas 2007-08-21 15:56:00 EDT
Description of operator from proposal:

      DW_OP_implicit_value
      The DW_OP_implicit_value operation takes two operands:
      an unsigned LEB128 length, followed by a block
      representing the value in the native representation of the
      target machine. The length operand gives the length in
      bytes of the block that follows. This operation should be
      used only in location lists for ranges where the value of
      a variable does not exist in memory or in a register, but
      is known to be constant.
Comment 1 Roland McGrath 2007-08-21 16:07:42 EDT
This proposed new operation is not part of the official DWARF standard yet, and
AFAIK no GNU compiler produces it.  So this is premature.
Comment 2 Bug Zapper 2008-04-04 09:39:21 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Tony Fu 2008-09-25 23:45:52 EDT
User tthomas@redhat.com's account has been closed
Comment 4 Bug Zapper 2008-11-26 02:42:15 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Roland McGrath 2008-11-26 02:53:21 EST
Non-bug til it's a standard op and generated by anything.

Note You need to log in before you can comment on or make changes to this bug.